Bug 243763 - Review Request: subcommander - Graphical UI for subversion
Review Request: subcommander - Graphical UI for subversion
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On: 243965
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 15:01 EDT by Jochen Schmitt
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2.2-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 19:27:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
mock build log of subcommander 1.2.2-2 on F-devel i386 (251.14 KB, text/plain)
2007-06-14 15:18 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Jochen Schmitt 2007-06-11 15:01:30 EDT
Spec: http://www.herr-schmitt.de/pub/subcommander/subcommander.spec
SRPM: http://www.herr-schmitt.de/pub/subcommander/subcommander-1.2.2-1.fc7-src.rpm
Description:
The goal of the subcommander project is to build an easy to use,
crossplatform (Win32, Unix, MacOSX) Subversion gui client including
a graphical diff and merge tool for text files.

The Subversion gui client is called subcommander and the merge tool
is called submerge.
Comment 1 Parag AN(पराग) 2007-06-14 03:10:39 EDT
Got following messages in mock build for Desktop files
sktop
/var/tmp/subcommander-1.2.2-1.fc7-root-mockbuild//usr/share/applications/fedora-subcommander.desktop:
warning: non-standard key "Termina" lacks the "X-" prefix
/var/tmp/subcommander-1.2.2-1.fc7-root-mockbuild//usr/share/applications/fedora-subcommander.desktop:
warning: non-standard key "StartUpNotify" lacks the "X-" prefix
/var/tmp/subcommander-1.2.2-1.fc7-root-mockbuild//usr/share/applications/fedora-subcommander.desktop:
warning: The 'Application' category is not defined by the desktop entry
specification.  Please use one of "AudioVideo", "Audio", "Video", "Development",
"Education", "Game", "Graphics", "Network", "Office", "Settings", "System",
"Utility" instead


Correct both Desktop files.
Terminal is written as Termina 
Change StartUpNotify to StartupNotify
Add correct Category other than Application
Comment 2 Parag AN(पराग) 2007-06-14 03:13:31 EDT
It will be good to have Source URL as
http://subcommander.tigris.org/files/documents/1759/35437/%{name}-%{version}.tar.gz
Comment 3 Jochen Schmitt 2007-06-14 13:10:15 EDT
Spec: http://www.herr-schmitt.de/pub/subcommander/subcommander.spec
SRPM: http://www.herr-schmitt.de/pub/subcommander/subcommander-1.2.2-2.fc7-src.rpm

You can not use %{name} in the source URL, becouse Subcommander != subcommander.
Comment 4 Mamoru TASAKA 2007-06-14 15:18:53 EDT
Created attachment 157033 [details]
mock build log of subcommander 1.2.2-2 on F-devel i386

Unfortunately, 1.2.2-2 fails by mock build on F-devel i386
as attached.
Currently I cannot judge if
* this is a bug of desktop-file-utils and so desktop-file-utils
  should be fixed
* Or the policy of "Version" is actually changed and we have to
  fix desktop files.

I already filed this problem (currently against desktop-file-utils)
as bug 243965
Comment 5 Jochen Schmitt 2007-06-14 16:04:09 EDT
I have found the reason for this issue.

That is an misinterpertation of the Version field. The version field defined the
version number of the Desktop Entry Specification Standard, which this file
should fullfill.

So I will put the value of this key to 1.0 and rebuild the package.
Comment 6 Jochen Schmitt 2007-06-14 16:38:26 EDT
Spec: http://www.herr-schmitt.de/pub/subcommander/subcommander.spec
SRPM: http://www.herr-schmitt.de/pub/subcommander/subcommander-1.2.2-3.fc7-src.rpm

Becouse mock didn't fetched the most current desktop-file-utils release from the
mirror I used, I have to build it localy and but it in an local repo to test the
mockbuild with this version.

It seems to works.
Comment 7 Mamoru TASAKA 2007-06-14 22:56:20 EDT
Okay. I re-read the following and I found that I misunderstood
Version info. Thank you.
http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-1.0.html
Comment 8 Parag AN(पराग) 2007-06-15 00:12:46 EDT
unable to use your SRPM
getting segmentation fault
your rpm name is subcommander-1.2.2-3.fc7-src.rpm but it should be
subcommander-1.2.2-3.fc7.src.rpm
Comment 9 Jochen Schmitt 2007-06-17 13:58:30 EDT
Spec: http://www.herr-schmitt.de/pub/subcommander/subcommander.spec
SRPM: http://www.herr-schmitt.de/pub/subcommander/subcommander-1.2.2-
3.fc7.src.rpm

Your right, sorry for my typo. Please let me now, if that will be works fine 
now.
Comment 10 Jochen Schmitt 2007-06-17 13:58:41 EDT
Spec: http://www.herr-schmitt.de/pub/subcommander/subcommander.spec
SRPM: http://www.herr-schmitt.de/pub/subcommander/subcommander-1.2.2-
3.fc7.src.rpm

Your right, sorry for my typo. Please let me now, if that will be works fine 
now.
Comment 11 Parag AN(पराग) 2007-06-18 04:44:19 EDT
Dunno why but mock build is giving me again and again 
No Spec file found in srpm: subcommander-1.2.2-3.fc7.src.rpm
Comment 12 Parag AN(पराग) 2007-06-18 04:45:22 EDT
and even downloaded SRPM is giving
rpm -ivh subcommander-1.2.2-3.fc7.src.rpm 
Segmentation fault
Comment 13 Jochen Schmitt 2007-06-18 10:58:48 EDT
Spec: http://www.herr-schmitt.de/pub/subcommander/subcommander.spec
SRPM: http://www.herr-schmitt.de/pub/subcommander/subcommander-1.2.2-4.src.rpm

Sorry, Unfortunately I have got an uploading issue with by package which caused
the reporting segmentation fault.

Now I have uploaded a corrected version of the package.

Sorry for any inconveniences
Comment 14 Parag AN(पराग) 2007-06-18 23:50:10 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMs.
+ source files match upstream.
d32fa91546151347707f6c1a553cbcec  Subcommander-1.2.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets used.
+ Desktop files installed correctly.
+ Requires: libapr-1.so.0 libaprutil-1.so.0 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.4) libcrypto.so.6 libdb-4.5.so
libdl.so.2 libexpat.so.0 libgcc_s.so.1 libgcc_s.so.1(GCC_3.0)
libgcc_s.so.1(GLIBC_2.0) liblber-2.3.so.0 libldap-2.3.so.0 libm.so.6
libneon.so.25 libpthread.so.0 libqt-mt.so.3 libstdc++.so.6
libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4)
libstdc++.so.6(GLIBCXX_3.4.5) libsvn_client-1.so.0 libsvn_delta-1.so.0
libsvn_diff-1.so.0 libsvn_fs-1.so.0 libsvn_fs_fs-1.so.0 libsvn_ra-1.so.0
libsvn_ra_dav-1.so.0 libsvn_ra_local-1.so.0 libsvn_ra_svn-1.so.0
libsvn_repos-1.so.0 libsvn_subr-1.so.0 libsvn_wc-1.so.0 libz.so.1 rtld(GNU_HASH)
+ GUI App.
APPROVED.
Comment 15 Jochen Schmitt 2007-06-19 10:11:34 EDT
New Package CVS Request
=======================
Package Name: subcommander
Short Description: Graphical UI for subversion
Owners: Jochen@herr-schmitt.de
Branches: F-7
Comment 16 Kevin Fenzi 2007-06-20 00:49:46 EDT
cvs done.
Comment 17 Fedora Update System 2007-06-20 16:04:11 EDT
subcommander-1.2.2-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2007-06-25 19:27:55 EDT
subcommander-1.2.2-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.